Greenbone Community Feed: Changes incompatible with scanner version prior 5.1.3


#1

We are going to change the Greenbone Community Feed (GCF) as of January 31st 2019.
This change makes the GCF incompatible for OpenVAS-Scanner prior to version 5.1.3.

Version 5.1.3 was released end of August 2018. Actually, older versions are only incompatible if
used in conjunction with enabled signature checking. Disabling the signature checking would
allow to scan even with an older version.

To check the version of your setup you need to type this in the command shell:

openvassd --version

More insights into how digital signatures are configured and used:

The changes to the GCF will allow for faster feed updates and allow our feed server to handle
more synchronization requests. Essentially we switch from detached signed NVT files to signed
checksum files.

Not affected by the change:

  • Any commercial Greenbone product (because these use the comprehensive GSF instead of GCF)
  • Any GSE setup with OpenVAS-Scanner >= 5.1.3
  • Any GSE setup not checking signatures
  • GCE >= 4.2.19